Subject: Re: [PATCH v2 net-next 1/1] net sched actions: mirred add support for setting Dst MAC address

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 2 Jul 2016 17:38:36 -0400

On 16-07-02 12:58 PM, Cong Wang wrote:
> On Sat, Jul 2, 2016 at 7:34 AM, Jamal Hadi Salim <[email-masked]> wrote:
>> From: Jamal Hadi Salim <[email-masked]>
>>
>> Often redirecting or mirroring requires that we set the dstMAC address
>> of the target device. While it is possible to pipe to a pedit action,
>> this patch obsoletes the need for that. This is a justified feature because
>> the dst MAC addresses rewrite is such a common use case.
>
> Maybe, instead of allowing to set arbitrary MAC address, how about
> just allow setting to the MAC address of the target device?

You cant discover the remote MAC address; I have a wire
connected between two machines. I set it to the MAC address
of the remote machine i know of. And there are times I really
want to set it to some arbitrary values (although that is more
test mode than production).

cheers,
jamal

> If so we only need a boolean flag for user-space.
>
> IOW, do we really need such flexibility?
>